Deploy CodeMirror on all Wikimedia wikis
Closed, ResolvedPublic

Description

This task is to keep a track of CodeMirror rollout (as a beta feature).

  • Labs cluster
  • Test wiki
  • All non-RTL wikis
  • 2017 wikitext editor on Firefox defects
  • RTL wikis — T170001
Niharika created this task.Jul 18 2017, 6:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2017, 6:33 PM
Niharika updated the task description. (Show Details)Jul 18 2017, 11:16 PM
DannyH renamed this task from Tracking task for CodeMirror deployment to Epic: Tracking task for CodeMirror deployment.Jul 18 2017, 11:17 PM
DannyH triaged this task as Normal priority.
kaldari updated the task description. (Show Details)Aug 3 2017, 9:10 PM

Change 370072 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/mediawiki-config@master] Enable CodeMirror everywhere but RTL wikis and wikidata

https://gerrit.wikimedia.org/r/370072

Change 370072 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable CodeMirror everywhere but RTL wikis and wikidata

https://gerrit.wikimedia.org/r/370072

kaldari updated the task description. (Show Details)Aug 3 2017, 9:35 PM
kaldari updated the task description. (Show Details)Aug 4 2017, 9:52 PM
Raymond added a subscriber: Raymond.Aug 6 2017, 4:13 PM

Change 373144 had a related patch set uploaded (by Niharika29; owner: Niharika29):
[operations/mediawiki-config@master] Deploy CodeMirror to all non-RTL wikis

https://gerrit.wikimedia.org/r/373144

Change 373144 merged by jenkins-bot:
[operations/mediawiki-config@master] Deploy CodeMirror to all non-RTL wikis

https://gerrit.wikimedia.org/r/373144

Mentioned in SAL (#wikimedia-operations) [2017-08-22T21:18:24Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Retry CodeMirror deployment T170966 (duration: 00m 49s)

Niharika updated the task description. (Show Details)Aug 22 2017, 9:30 PM
Niharika updated the task description. (Show Details)
Ebraminio added a subscriber: Ebraminio.EditedAug 26 2017, 11:58 AM

Finally something on the right direction! Not another nonsense batshit (sorry for the language, of course just a personal opinion to stress this out) like "New wikitext mode", "VisualEditor", "ContentTranslation (cx)" editors, all of these attempts should've used something lightweight like this so they could gradually make newcomer users familiar with Wiki's syntax, just like what GitHub did with its markdown system. As an example, we have complains from confused people on my local Wiki that they couldn't figure out why the text they've entered can not pass abusefilter and other global/local site blacklist rules just because they can not the whole source on cx…

CodeMirror, an established and lightweight product (unlike, say, Monaco and VE), unlike Ace is supporting RTL scripts (this one is improved recently) and languages without monospace font widely available like Indic scripts (and more obscure scripts) already for a long time, what a great choice for picking a library for i18n friendly system like MediaWiki. Sorry for saying such but it seems this even is not started by wmf developers, I think wmf developers should consult the community more for such decisions at the first place. And now that you are here, I wish you could replace Ace with CodeMirror soon so no two different libraries for very similar tasks (tracked on T50826)

BTW, can you answer or fix this https://www.mediawiki.org/wiki/Topic:Twt8s67hwtmaa7jo before (or not very late after) deploying to RTL wikis? wikEd has something like wikEd.UpdateFrame(); and perhaps some more for such task, is something similar available here also?

Hi @Ebraminio. There is no reason to be confrontational (also see https://www.mediawiki.org/wiki/Phabricator/Etiquette ). If you want to discuss meta level aspects (like what "wmf developers" should do etc), please use better suited venues than this task which is specifically about deploying the CodeMirror extension and not random other software. Thanks for your understanding and for keeping Phabricator a respectful place.

Ebraminio added a comment.EditedAug 26 2017, 2:21 PM

Thanks for always being around @Aklapper :) well, you can consider my comment as an excitement and encouragement for this work, would be nice if you guys could have a look at the help topic of the extension and point it on the documentation, as said such feature is needed for RTL wikis using help editor tools and such and many of that wikis need such capability that I don't see much on non-RTL ones.

TBolliger renamed this task from Epic: Tracking task for CodeMirror deployment to Deploy CodeMirror on all Wikimedia wikis.Feb 23 2018, 11:53 PM
TBolliger updated the task description. (Show Details)
TBolliger moved this task from Epic backlog to Blocked on the Community-Tech board.
TBolliger updated the task description. (Show Details)Apr 11 2018, 10:56 PM